Package com.mckoi.database.global

## Class NullObject

- java.lang.Object
- - com.mckoi.database.global.NullObject

All Implemented Interfaces:
  `java.io.Serializable`

    public class NullObject
    extends java.lang.Object
    implements java.io.Serializable

Deprecated.
do not use. Nulls are now handled via TObject and TType. This method is only kept around for legacy with older databases.
A Null Object.

Author:
  Tobias Downer
See Also:
  Serialized Form

### Field Summary

Fields
`static NullObject` `NULL_OBJ` Deprecated.

### Constructor Summary

Constructors
`NullObject()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`int` `compareTo​(java.lang.Object ob)` Deprecated.
`java.lang.String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NULL_OBJ

    public static NullObject NULL_OBJ

Deprecated.

### Constructor Detail

#### NullObject

    public NullObject()

Deprecated.

### Method Detail

#### compareTo

    public int compareTo​(java.lang.Object ob)

Deprecated.

#### toString

    public java.lang.String toString()

Deprecated.

Overrides:
  `toString` in class `java.lang.Object`